Logger Pro 3.15 and earlier will generate an error message on computers running macOS 10.14.4 and later. The message is shown on first launch and then every 30 days. You can continue to use the app after the message is shown.

The full text of the error message is “Logger Pro has not been optimized for your Mac and needs to be updated.”

Note that version 3.15 is 64 bit so the app does launch on macOS 10.15. If you are seeing messages about Logger Pro not being 64 bit, you are running an earlier version and you should update to 3.15: http://www.vernier.com/support/updates/logger-pro/

Are your apps supported in macOS 10.15 Catalina?
macOS is warning me that Logger Pro is not 64 bit and therefore won't run on 10.15 Catalina